<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div></div>
    <div>
        <p></p>
        <p></p>
        <p></p>
    </div>
    <div></div>
    <div></div>
    <div></div>
    <script>
        const divs =document.getElementsByTagName("div")
     

        // for(let i=0; i<divs.length;i++){
        //     divs[i].style.border="solid red";
        //     divs[i].style.width="100px";
        //     divs[i].style.height="100px";
        //     divs[i].style.backgroundColor="grey";
        //     divs[i].style.display="inline-block";
        // }

        // Array.from(divs).forEach(div_function);

        // function div_function(p1, p2, p3){
        //     console.log(p1)
        //     console.log(p2)
        //     console.log(p3)
        // }

        // Array.from(divs).forEach(element => {
            
        // });

        // Array.from(divs).forEach(function(el, ind){
        //     // console.log(el, ind)
        //     el.style.height="100px"
        //     el.style.width="300px"
        //     if(ind==3){
        //         el.style.backgroundColor="red"
        //     }else{
        //         el.style.backgroundColor="silver"
        //     }
        
        //     el.style.margin="10px"
            
        // })


        // Array.from(divs).forEach( el => {
        //     el.style.height="100px"
        //     el.style.width="300px"
        //     el.style.backgroundColor="silver"
        //     el.style.margin="10px"
        // })
       
        Array.from(divs).forEach((el, ind) => {
            el.style.height="100px"
            el.style.width="300px"
            if(ind==3){
                el.style.backgroundColor="red"
            }else{
                el.style.backgroundColor="silver"
            }
            
            el.style.margin="10px"
            // el.innerHTML="<b'>"+ind+"</b>"
            el.style.display="inline=block-flex"
            el.style.justifyContent="center"
            el.style.alignItems="center"
        })
        const p_tags= divs[1].children
        Array.from(p_tags).forEach((el, ind) => {
            el.innerHTML=ind+1
            el.style.border="solid 3px"
            el.style.margin="3px"
            el.style.padding="3px"
        })

    </script>
</body>
</html>